Межсайтовый скриптинг и обход аутентификации в Alkacon OpenCms

Дата публикации:
31.07.2006
Всего просмотров:
2179
Опасность:
Низкая
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
CVE-2006-3933
CVE-2006-3934
CVE-2006-3935
CVE-2006-3936
Вектор эксплуатации:
Удаленная
Воздействие:
Межсайтовый скриптинг
Раскрытие важных данных
Неавторизованное изменение данных
Обход ограничений безопасности
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
Alkacon OpenCms 6.x
Уязвимые версии: Alkacon OpenCms 6.2.1, возможно более ранние версии.

Описание:
Уязвимость позволяет удаленному пользователю произвести XSS нападение и получить доступ к важным данным.

1. Уязвимость существует из-за недостаточного ограничения доступа к административной секции приложения. Удаленный пользователь может просмотреть содержимое некоторых файлов на системе, просмотреть исходный код .jsp файлов, добавить нового Web-пользователя, просмотреть список существующих пользователей и отправить всем пользователям широковещательное сообщение.

2. Уязвимость существует из-за недостаточной обработки входных данных в поле "Message" при отправке широковещательного сообщения. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольный код сценария в браузере жертвы в контексте безопасности уязвимого сайта.

URL производителя: www.opencms.org/opencms/en/index.html

Решение: Установите последнюю версию (6.2.2) с сайта производителя.

Ссылки: Multiple access control and input validation vulnerabilities in OpenCMS

или введите имя

CAPTCHA